/************/
/* "main4.c" */
/************/

#define REPORT
#define DOS

/***** INTERFACE *****/

#include <stdlib.h>
#include <stdio.h>
#include "typedef4.h"	/* InstrParam is defined */

/*** Global Variables ***/
unsigned long nData=0;	/* Number of source data */
double *twot=NULL;	/* 2-theta data */
double *scat=NULL;	/* intensity data */
double *err=NULL;	/* error data */
double *err2=NULL;	/* error data (2) */
InstrParam instr;	/* instrumental parameters */
int EvaluateAnotherErrorIndication = 0;

/*** Function Prototypes (uses) ***/
void ReadParams(void);	/* in "files4.c" */
void ReadData(void);	/* in "files4.c" */
void SaveData(void);	/* in "files4.c" */
void ClearData(void);	/* in "files4.c" */
void RemoveAllInstrumental(void);	/* in "deconv4.c" */


/***** IMPLEMENTATION *****/

int main(void)
{
#ifdef DOS
	char c[256];
#endif
	ReadParams();
	ReadData();
	RemoveAllInstrumental();
	SaveData();
	ClearData();
#ifdef REPORT
	fprintf(stderr, " ... Finished. \n");
#endif
#ifdef DOS
	do {
		printf(" Hit [1][Enter] to quit :");
		fgets(c,256,stdin);
	}while (c[0]!='1');
#endif
	return 0;
}
