typedef struct InstrParam {
	double g1;	/* width of Kalpha1 line; default 0.0, 0.00038 for CuKalpha1 */
	double rho;	/* fraction of Kalpha2 line; default 0.5 */
	double x2;	/* position of Kalpha2 line; default 0.002480 */
	double dg2;	/* broadening of Kalpha2 line; default 0.00006 */
	double phiA;	/* axial divergence FWHM; default 2.5 */
	double phiE;	/* equatorial divergence full width; default 1.0 */
	double XraySourceWidth;	/* width of the X-ray source [mm]; default 0.0 */
        double ReceivingSlitWidth;	/* receiving slit width [mm] */
        double GonioRadius;	/* goniometer radius [mm] */
        double SampleWidth;	/* width of the sample along the equatorial direction [mm] */
        double PenetrationDepth;	/* penetration depth of the x-ray [mm] */
	double invmuR;	/* inverse of (mu R); default 0.0 */
	double S2R;	/* ratio of X-ray source width to gonio radius */
	double W2R;	/* ratio of equatorial width to gonio radius */
        double R2R;	/* ratio of receiving slit width to gonio radius [deg] */
	double twotC;	/* critical diffraction angle for equatorial limit */
	double sintC;	/* sine of crytical diffraction angle for equatorial limit */
	double gGmax;	/* maximum Gaussian width [deg] to be convoluted */
        double gG0,gG1,gG2;	/* Gaussian width for lowest, middle, highesst angle */
} InstrParam, *InstrParamPtr, **InstrParamHandle;
